class Lightbox2TagLib
{
  static namespace = 'lightbox2'

  def loadJavascript = {attrs ->

    def files = ["prototype.js", "scriptaculous.js?load=effects,builder", "lightbox.js"]

    files.each {file ->
      def path = createLinkTo(dir: "${pluginContextPath}/js", file: "${file}")


      out << "<script type='text/javascript' src='${path}'></script>\n"
    }
  }

  def loadStyleSheet = {attrs ->
    def path = createLinkTo(dir: "${pluginContextPath}/css", file: "lightbox.css")
    def output = "<link rel='stylesheet' href='${path}' type='text/css'/>"

    out << output
  }
}
